Subject: Re: [PATCH - linux-next] ARM: ptrace: Fix audit caused compile error

From: Eric Paris <[email-masked]>
Date: Tue, 21 Feb 2012 08:49:22 -0500

On Tue, 2012-02-21 at 08:35 -0500, Eric Paris wrote:
> On Tue, 2012-02-21 at 13:30 +0000, Russell King - ARM Linux wrote:
> > On Tue, Feb 21, 2012 at 01:16:17PM +0000, Will Deacon wrote:
> > > On Tue, Feb 21, 2012 at 12:04:15PM +0000, Peter Ujfalusi wrote:
> > > > While trying to compile the kernel for ARM (omap2plus_defconfig) the kernel
> > > > build fails with:
> > > > 
> > > > arch/arm/kernel/ptrace.c: In function ‘syscall_trace’:
> > > > arch/arm/kernel/ptrace.c:920:3: error: implicit declaration of function ‘audit_syscall_exit’
> > > > arch/arm/kernel/ptrace.c:922:3: error: implicit declaration of function ‘audit_syscall_entry’
> > > > arch/arm/kernel/ptrace.c:922:23: error: ‘AUDIT_ARCH_ARMEB’ undeclared (first use in this function)
> > > > arch/arm/kernel/ptrace.c:922:23: note: each undeclared identifier is reported only once for each function it appears in
> > > > make[1]: *** [arch/arm/kernel/ptrace.o] Error 1
> > > > 
> > > > The issue created by commit:
> > > > 29ef73b7 Kernel: Audit Support For The ARM Platform
> > > > 
> > > > We need to include the linux/audit.h header to the arch/arm/kernel/ptrace.c
> > > > file to be able to compile the kernel.
> > > 
> > > This was already reported and I think Russell was going to revert the
> > > offending commit, since it needed some rework to handle little-endian
> > > configurations.
> > > 
> > > I can't see the revert in any of the trees I'm tracking though...
> > 
> > I never pushed that out because I thought someone was going to fix it.
> > Were any patches produced to fix it?  I can't see anything in the patch
> > system and I couldn't see anything on the list.
> > 
> > It seems the previous thread about it just died.  Oh well, I guess a
> > revert is what's required after all.
> 
> http://marc.info/?l=linux-arm-kernel&m=132928424120369&w=2
> 
> ???

You probably meant the arch endian bug.  I wrote a patch for it, but
guess i never sent it.  It was just sitting on my audit arm branch.  So
I just sent that one as well.

Thanks Russell!
-Eric